Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1552198 - Review request: openstak-designate-ui
Summary: Review request: openstak-designate-ui
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: RDO
Classification: Community
Component: Package Review
Version: trunk
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: trunk
Assignee: hguemar
QA Contact: hguemar
URL:
Whiteboard:
: 1361701 (view as bug list)
Depends On:
Blocks: RDO-ROCKY
TreeView+ depends on / blocked
 
Reported: 2018-03-06 16:37 UTC by ktibi
Modified: 2018-05-24 12:02 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-24 12:02:20 UTC
Embargoed:


Attachments (Terms of Use)

Description ktibi 2018-03-06 16:37:03 UTC
Designate is the DNS service of Openstack. 

https://wiki.openstack.org/wiki/Designate

Comment 1 Haïkel Guémar 2018-03-21 08:24:05 UTC
Approved


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file license.png is not marked as %license
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text

=> False positive


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "*No copyright* Apache", "Unknown or
     generated", "*No copyright* Apache (v2.0)". 84 files have unknown
     license. Detailed output of licensecheck in /home/hguemar/dist-
     git/delorean/centos-
     master/data/repos/0e/9f/0e9fb737777e44c63b54792f15594bacc8f0c351_dev
     /openstack-designate-ui/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/openstack-
     dashboard/openstack_dashboard/local/enabled, /usr/share/openstack-
     dashboard/openstack_dashboard/local, /usr/share/openstack-
     dashboard/openstack_dashboard, /usr/share/openstack-dashboard
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/openstack-
     dashboard, /usr/share/openstack-dashboard/openstack_dashboard/local,
     /usr/share/openstack-dashboard/openstack_dashboard, /usr/share
     /openstack-dashboard/openstack_dashboard/local/enabled
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
=> web app
[ ]- If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]  Final provides and requires are sane (see attachments).
[-]  Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python-
     designate-ui-doc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[-]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define upstream_version
     6.0.0.0rc2.dev17
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: openstack-designate-ui-6.0.0-0.20180316164915.0e9fb73.el7.noarch.rpm
          python-designate-ui-doc-6.0.0-0.20180316164915.0e9fb73.el7.noarch.rpm
          openstack-designate-ui-6.0.0-0.20180316164915.0e9fb73.el7.src.rpm
openstack-designate-ui.noarch: E: no-changelogname-tag
openstack-designate-ui.noarch: W: no-documentation
openstack-designate-ui.noarch: E: zero-length /usr/lib/python2.7/site-packages/designatedashboard/static/designatedashboard/designatedashboard.scss
openstack-designate-ui.noarch: W: hidden-file-or-dir /usr/lib/python2.7/site-packages/designatedashboard/tests/.secret_key_store
openstack-designate-ui.noarch: E: non-readable /usr/share/openstack-dashboard/openstack_dashboard/local/enabled/_1710_project_dns_panel_group.py 640
openstack-designate-ui.noarch: E: non-readable /usr/share/openstack-dashboard/openstack_dashboard/local/enabled/_1720_project_dns_panel.py 640
openstack-designate-ui.noarch: E: non-readable /usr/share/openstack-dashboard/openstack_dashboard/local/enabled/_1721_dns_zones_panel.py 640
openstack-designate-ui.noarch: E: non-readable /usr/share/openstack-dashboard/openstack_dashboard/local/enabled/_1722_dns_reversedns_panel.py 640
python-designate-ui-doc.noarch: E: no-changelogname-tag
openstack-designate-ui.src: E: no-changelogname-tag
openstack-designate-ui.src: W: invalid-url Source0: designate-dashboard-6.0.0.0rc2.dev17-0.20180316164915.0e9fb73.tar.gz
3 packages and 0 specfiles checked; 8 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
python-designate-ui-doc.noarch: E: no-changelogname-tag
python-designate-ui-doc.noarch: W: invalid-url URL: http://launchpad.net/designate-dashboard/ <urlopen error [Errno -2] Name or service not known>
openstack-designate-ui.noarch: E: no-changelogname-tag
openstack-designate-ui.noarch: W: invalid-url URL: http://launchpad.net/designate-dashboard/ <urlopen error [Errno -2] Name or service not known>
openstack-designate-ui.noarch: W: no-documentation
openstack-designate-ui.noarch: E: non-readable /usr/share/openstack-dashboard/openstack_dashboard/local/enabled/_1721_dns_zones_panel.py 0640L
openstack-designate-ui.noarch: E: zero-length /usr/lib/python2.7/site-packages/designatedashboard/static/designatedashboard/designatedashboard.scss
openstack-designate-ui.noarch: W: hidden-file-or-dir /usr/lib/python2.7/site-packages/designatedashboard/tests/.secret_key_store
openstack-designate-ui.noarch: E: non-readable /usr/share/openstack-dashboard/openstack_dashboard/local/enabled/_1710_project_dns_panel_group.py 0640L
openstack-designate-ui.noarch: E: non-readable /usr/share/openstack-dashboard/openstack_dashboard/local/enabled/_1720_project_dns_panel.py 0640L
openstack-designate-ui.noarch: E: non-readable /usr/share/openstack-dashboard/openstack_dashboard/local/enabled/_1722_dns_reversedns_panel.py 0640L
2 packages and 0 specfiles checked; 7 errors, 4 warnings.



Requires
--------
python-designate-ui-doc (rpmlib, GLIBC filtered):

openstack-designate-ui (rpmlib, GLIBC filtered):
    openstack-dashboard
    python(abi)
    python2-babel
    python2-designateclient
    python2-oslo-log
    python2-pbr



Provides
--------
python-designate-ui-doc:
    python-designate-ui-doc

openstack-designate-ui:
    openstack-designate-ui



Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m rdo-master-el7 -r --name openstack-designate-ui
Buildroot used: cloud7-openstack-rocky-el7-build
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 2 Thomas Hervé 2018-05-24 12:00:39 UTC
*** Bug 1361701 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.